Pentaho

 View Only
  • 1.  Problems upgrading from 8.0 to 9.3

    Posted 05-10-2022 16:43
    I am upgrading CE 8.0 to 9.3 on Linux. The spoon application starts with no problems; however, when I try to run a job, it will pop the error below on the screen and then the application immediately shuts down.  I've looked all over the internet for solutions and also talked to our system admins but we can't figure out why this is happening.

    2022/05/10 16:08:49 - Spoon - ERROR (version 9.3.0.0-428, build 9.3.0.0-428 from 2022-04-12 04.56.25 by buildguy) : An unexpected error occurred in Spoon:
    2022/05/10 16:08:49 - Spoon - Failed to execute runnable (org.eclipse.swt.SWTException: Widget is disposed)
    2022/05/10 16:08:49 - Spoon - ERROR (version 9.3.0.0-428, build 9.3.0.0-428 from 2022-04-12 04.56.25 by buildguy) : org.eclipse.swt.SWTException: Failed to execute runnable (org.eclipse.swt.SWTException: Widget is disposed)
    2022/05/10 16:08:49 - Spoon - at org.eclipse.swt.SWT.error(SWT.java:4595)
    2022/05/10 16:08:49 - Spoon - at org.eclipse.swt.SWT.error(SWT.java:4510)

    ------------------------------
    Susan Starnes
    IT Analyst
    Duke University
    ------------------------------


  • 2.  RE: Problems upgrading from 8.0 to 9.3

    Posted 19 days ago
    Same problem here. I hope someone can help us

    ------------------------------
    Alejandro Ramos Alvarez
    Data Service Manager
    Logalty
    ------------------------------



  • 3.  RE: Problems upgrading from 8.0 to 9.3

    Posted 19 days ago
    I found a somewhat reliable workaround.  When you run a job or transformation, select the log level of debug or higher.  Are you running rhle7?

    ------------------------------
    Susan Starnes
    IT Support Manager
    Duke University
    ------------------------------



  • 4.  RE: Problems upgrading from 8.0 to 9.3

    Posted 19 days ago
    correction last post:  RHEL7

    ------------------------------
    Susan Starnes
    IT Support Manager
    Duke University
    ------------------------------



  • 5.  RE: Problems upgrading from 8.0 to 9.3

    Posted 19 days ago
    We are running pdi in Ubuntu 18.0.4 LTS.

    I'm checking your advice. but the problem occurs for me also when spoon its not running a job o transformation, just working with it.

    Thank you very much for your help.

    ------------------------------
    Alejandro Ramos Alvarez
    Data Service Manager
    Logalty
    ------------------------------